Kwalitee Issues

has_license_in_source_file

Add =head1 LICENSE and the text of the license to the main module in your code.

manifest_matches_dist

Run a proper command ("make manifest" or "./Build manifest", maybe with a force option), or use a distribution builder to generate the MANIFEST. Or update MANIFEST manually.

Error:

  • MANIFEST (71) does not match dist (70):
  • Missing in Dist: Graph.html

no_pod_errors

Remove the POD errors. You can check for POD errors automatically by including Test::Pod to your test suite.

Error: Chart-Graph-3.3.1/Graph/Gnuplot.pm -- Around line 757: =cut found outside a pod block. Skipping to next block.Around line 782: =cut found outside a pod block. Skipping to next block.

use_strict

Add 'use strict' (or its equivalents) to all modules, or convince us that your favorite module is well-known enough and people can easily see the modules are strictly written.

Error: Chart::Graph, Chart::Graph::Xmgrace::Axes, Chart::Graph::Xmgrace::Axis, Chart::Graph::Xmgrace::Axis_Option, Chart::Graph::Xmgrace::Bar_Options, Chart::Graph::Xmgrace::Base_Dataset_Option, Chart::Graph::Xmgrace::Base_Option, Chart::Graph::Xmgrace::Dataset, Chart::Graph::Xmgrace::Grace, Chart::Graph::Xmgrace::Graph_Global_Options, Chart::Graph::Xmgrace::Graph_Presentation_Type, Chart::Graph::Xmgrace::Symbol_Options, World_Option

has_known_license_in_source_file

Add =head1 LICENSE and/or the proper text of the well-known license to the main module in your code.

meta_yml_declares_perl_version

If you are using Build.PL define the {requires}{perl} = VERSION field. If you are using MakeMaker (Makefile.PL) you should upgrade ExtUtils::MakeMaker to 6.48 and use MIN_PERL_VERSION parameter. Perl::MinimumVersion can help you determine which version of Perl your module needs.

meta_yml_has_license

Define the license if you are using in Build.PL. If you are using MakeMaker (Makefile.PL) you should upgrade to ExtUtils::MakeMaker version 6.31.

no_invalid_versions

Fix the version numbers so that version::is_lax($version) returns true.

Error:

  • Graph/Gnuplot.pm: HASH(0x6a36840)
  • Graph/Utils.pm: HASH(0x6a36810)
  • Graph/Xmgrace.pm: HASH(0x69e35d8)
  • Graph/Xmgrace/Axes.pm: HASH(0x6a367b0)
  • Graph/Xmgrace/Axis.pm: HASH(0x6a36798)
  • Graph/Xmgrace/Axis_Option.pm: HASH(0x6a365a0)
  • Graph/Xmgrace/Axis_Options.pm: HASH(0x6a36918)
  • Graph/Xmgrace/Base_Dataset_Option.pm: HASH(0x6a360a8)
  • Graph/Xmgrace/Base_Option.pm: HASH(0x6a36978)
  • Graph/Xmgrace/Dataset.pm: HASH(0x6a326c8)
  • Graph/Xmgrace/Dataset_Options.pm: HASH(0x6a36438)
  • Graph/Xmgrace/Grace.pm: HASH(0x6a366c0)
  • Graph/Xmgrace/Graph_Options.pm: HASH(0x6a368a0)
  • Graph/Xmgrace/Graph_Presentation_Type.pm: HASH(0x6a37b90)
  • Graph/Xmgrace/World_Option.pm: HASH(0x6a37ff8)
  • Graph/Xrt2d.pm: HASH(0x6a36a50)
  • Graph/Xrt3d.pm: HASH(0x6a38178)
  • Graph/XrtUtils.pm: HASH(0x6a37d70)

no_stdin_for_prompting

Use the prompt() method from ExtUtils::MakeMaker/Module::Build.

use_warnings

Add 'use warnings' (or its equivalents) to all modules (this will require perl > 5.6), or convince us that your favorite module is well-known enough and people can easily see the modules warn when something bad happens.

Error: Chart::Graph, Chart::Graph::Gnuplot, Chart::Graph::Utils, Chart::Graph::Xmgrace, Chart::Graph::Xmgrace::Axes, Chart::Graph::Xmgrace::Axis, Chart::Graph::Xmgrace::Axis_Option, Chart::Graph::Xmgrace::Bar_Options, Chart::Graph::Xmgrace::Base_Dataset_Option, Chart::Graph::Xmgrace::Base_Option, Chart::Graph::Xmgrace::Dataset, Chart::Graph::Xmgrace::Grace, Chart::Graph::Xmgrace::Graph_Global_Options, Chart::Graph::Xmgrace::Graph_Presentation_Type, Chart::Graph::Xmgrace::Symbol_Options, Chart::Graph::Xrt2d, Chart::Graph::Xrt3d, Chart::Graph::XrtUtils, World_Option

meta_yml_has_provides

Add all modules contained in this distribution to the META.yml field 'provides'. Module::Build or Dist::Zilla::Plugin::MetaProvides do this automatically for you.

meta_yml_has_repository_resource

Add a 'repository' resource to the META.yml via 'meta_add' accessor (for Module::Build) or META_ADD parameter (for ExtUtils::MakeMaker).

Modules

Name Abstract Version View
Chart::Graph Perl extension for a front-end to gnuplot, XRT, and Xmgrace. 3.003001 metacpan
Chart::Graph::Gnuplot metacpan
Chart::Graph::Utils metacpan
Chart::Graph::Xmgrace metacpan
Chart::Graph::Xmgrace::Axes metacpan
Chart::Graph::Xmgrace::Axis metacpan
Chart::Graph::Xmgrace::Axis_Option metacpan
Chart::Graph::Xmgrace::Bar_Options metacpan
Chart::Graph::Xmgrace::Base_Dataset_Option metacpan
Chart::Graph::Xmgrace::Base_Option metacpan
Chart::Graph::Xmgrace::Dataset metacpan
Chart::Graph::Xmgrace::Grace metacpan
Chart::Graph::Xmgrace::Graph_Global_Options metacpan
Chart::Graph::Xmgrace::Graph_Presentation_Type metacpan
Chart::Graph::Xmgrace::Symbol_Options metacpan
Chart::Graph::Xrt2d metacpan
Chart::Graph::Xrt3d metacpan
Chart::Graph::XrtUtils metacpan
World_Option metacpan

Provides

Name File View
Chart::Graph::Xmgrace::Avalue_Options Graph/Xmgrace/Dataset_Options.pm metacpan
Chart::Graph::Xmgrace::Axes_Options Graph/Xmgrace/Axes.pm metacpan
Chart::Graph::Xmgrace::Baseline_Options Graph/Xmgrace/Dataset_Options.pm metacpan
Chart::Graph::Xmgrace::Chart Graph/Xmgrace/Graph_Presentation_Type.pm metacpan
Chart::Graph::Xmgrace::Dropline_Options Graph/Xmgrace/Dataset_Options.pm metacpan
Chart::Graph::Xmgrace::Errorbar_Options Graph/Xmgrace/Dataset_Options.pm metacpan
Chart::Graph::Xmgrace::Extra_Options Graph/Xmgrace/Graph_Options.pm metacpan
Chart::Graph::Xmgrace::Fill_Options Graph/Xmgrace/Dataset_Options.pm metacpan
Chart::Graph::Xmgrace::Frame_Options Graph/Xmgrace/Graph_Options.pm metacpan
Chart::Graph::Xmgrace::Global_Options Graph/Xmgrace/Graph_Options.pm metacpan
Chart::Graph::Xmgrace::Graph Graph/Xmgrace/Graph_Presentation_Type.pm metacpan
Chart::Graph::Xmgrace::Label_Options Graph/Xmgrace/Axis_Options.pm metacpan
Chart::Graph::Xmgrace::Legend_Options Graph/Xmgrace/Graph_Options.pm metacpan
Chart::Graph::Xmgrace::Line_Options Graph/Xmgrace/Dataset_Options.pm metacpan
Chart::Graph::Xmgrace::Stack_Options Graph/Xmgrace/Graph_Options.pm metacpan
Chart::Graph::Xmgrace::Subtitle_Options Graph/Xmgrace/Graph_Options.pm metacpan
Chart::Graph::Xmgrace::Tick_Options Graph/Xmgrace/Axis_Options.pm metacpan
Chart::Graph::Xmgrace::Ticklabel_Options Graph/Xmgrace/Axis_Options.pm metacpan
Chart::Graph::Xmgrace::Tickmark Graph/Xmgrace/Axis_Options.pm metacpan
Chart::Graph::Xmgrace::Title_Options Graph/Xmgrace/Graph_Options.pm metacpan
Chart::Graph::Xmgrace::View_Options Graph/Xmgrace/Graph_Options.pm metacpan
Chart::Graph::Xmgrace::World_Options Graph/Xmgrace/Graph_Options.pm metacpan

Other Files

ChangeLog metacpan
MANIFEST metacpan
META.json metacpan
META.yml metacpan
Makefile.PL metacpan
README metacpan